// Auto-generated. Do not edit!

// (in-package dialogflow_task_executive.msg)


"use strict";

const _serializer = _ros_msg_utils.Serialize;
const _arraySerializer = _serializer.Array;
const _deserializer = _ros_msg_utils.Deserialize;
const _arrayDeserializer = _deserializer.Array;
const _finder = _ros_msg_utils.Find;
const _getByteLength = _ros_msg_utils.getByteLength;
let DialogResponse = require('./DialogResponse.js');

//-----------------------------------------------------------

class DialogTextResult {
  constructor(initObj={}) {
    if (initObj === null) {
      // initObj === null is a special case for deserialization where we don't initialize fields
      this.response = null;
      this.session = null;
      this.done = null;
    }
    else {
      if (initObj.hasOwnProperty('response')) {
        this.response = initObj.response
      }
      else {
        this.response = new DialogResponse();
      }
      if (initObj.hasOwnProperty('session')) {
        this.session = initObj.session
      }
      else {
        this.session = '';
      }
      if (initObj.hasOwnProperty('done')) {
        this.done = initObj.done
      }
      else {
        this.done = false;
      }
    }
  }

  static serialize(obj, buffer, bufferOffset) {
    // Serializes a message object of type DialogTextResult
    // Serialize message field [response]
    bufferOffset = DialogResponse.serialize(obj.response, buffer, bufferOffset);
    // Serialize message field [session]
    bufferOffset = _serializer.string(obj.session, buffer, bufferOffset);
    // Serialize message field [done]
    bufferOffset = _serializer.bool(obj.done, buffer, bufferOffset);
    return bufferOffset;
  }

  static deserialize(buffer, bufferOffset=[0]) {
    //deserializes a message object of type DialogTextResult
    let len;
    let data = new DialogTextResult(null);
    // Deserialize message field [response]
    data.response = DialogResponse.deserialize(buffer, bufferOffset);
    // Deserialize message field [session]
    data.session = _deserializer.string(buffer, bufferOffset);
    // Deserialize message field [done]
    data.done = _deserializer.bool(buffer, bufferOffset);
    return data;
  }

  static getMessageSize(object) {
    let length = 0;
    length += DialogResponse.getMessageSize(object.response);
    length += _getByteLength(object.session);
    return length + 5;
  }

  static datatype() {
    // Returns string type for a message object
    return 'dialogflow_task_executive/DialogTextResult';
  }

  static md5sum() {
    //Returns md5sum for a message object
    return '50694725a4e7e905ed7a64bf3000dffe';
  }

  static messageDefinition() {
    // Returns full string definition for message
    return `
    # ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======
    # Define the result
    DialogResponse response
    string session
    bool done
    
    ================================================================================
    MSG: dialogflow_task_executive/DialogResponse
    Header header
    
    # query: The text send by user
    string query            # The query created by user
    
    # action, response, parameters: The response from Dialogflow
    string action           # Inferred action name, which is registered at Dialogflow config
                            # Dialogflow has Default Fallback Intent by default, and it returns input.unknown as action name, when it gets unknown queries
    string response         # The response from Dialogflow based on action name
    string parameters       # The action's parameters
    
    # fulfilled, speech_score, intent_score: Parameters related to results
    bool fulfilled          # Whether all required parameters are present
    float32 speech_score    # Speech recognition confidence
    float32 intent_score    # Intent detection confidence
    
    ================================================================================
    MSG: std_msgs/Header
    # Standard metadata for higher-level stamped data types.
    # This is generally used to communicate timestamped data 
    # in a particular coordinate frame.
    # 
    # sequence ID: consecutively increasing ID 
    uint32 seq
    #Two-integer timestamp that is expressed as:
    # * stamp.sec: seconds (stamp_secs) since epoch (in Python the variable is called 'secs')
    # * stamp.nsec: nanoseconds since stamp_secs (in Python the variable is called 'nsecs')
    # time-handling sugar is provided by the client library
    time stamp
    #Frame this data is associated with
    string frame_id
    
    `;
  }

  static Resolve(msg) {
    // deep-construct a valid message object instance of whatever was passed in
    if (typeof msg !== 'object' || msg === null) {
      msg = {};
    }
    const resolved = new DialogTextResult(null);
    if (msg.response !== undefined) {
      resolved.response = DialogResponse.Resolve(msg.response)
    }
    else {
      resolved.response = new DialogResponse()
    }

    if (msg.session !== undefined) {
      resolved.session = msg.session;
    }
    else {
      resolved.session = ''
    }

    if (msg.done !== undefined) {
      resolved.done = msg.done;
    }
    else {
      resolved.done = false
    }

    return resolved;
    }
};

module.exports = DialogTextResult;
